package com.yizhi.studylog.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import com.baomidou.mybatisplus.enums.IdType;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 学习日志表
 * </p>
 *
 * @author fulan123
 * @since 2018-05-03
 */
@Data
@Api(tags = "StudyLog", description = "学习日志表")
@TableName("study_log")
public class StudyLog extends Model<StudyLog> {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "日志主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "会话id")
    @TableField("session_id")
    private String sessionId;

    @ApiModelProperty(value = "课程id")
    @TableField("course_id")
    private Long courseId;

    @ApiModelProperty(value = "账号id")
    @TableField("account_id")
    private String accountId;

    @ApiModelProperty(value = "章节id")
    @TableField("chapter_id")
    private Long chapterId;

    @ApiModelProperty(value = "素材id")
    @TableField("material_id")
    private Long materialId;

    @ApiModelProperty(value = "分辨率")
    private String resolution;

    @ApiModelProperty(value = "文档页面")
    private Integer page;

    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "终端规格")
    @TableField("terminal_device")
    private String terminalDevice;

    @ApiModelProperty(value = "终端类型")
    @TableField("terminal_type")
    private String terminalType;

    @ApiModelProperty(value = "素材完成条件 0 未完成 1 完成")
    @TableField("material_completed")
    private Integer materialCompleted;

    @TableField("org_id")
    private String orgId;

    @TableField("company_id")
    private String companyId;

    @TableField("site_id")
    private Long siteId;

    @ApiModelProperty(value = "日志分析完成条件 0 未完成 1 完成")
    private Integer status;

    @ApiModelProperty(value = "发送请求时间")
    private Long timestamp;

    @ApiModelProperty(value = "nginx接收请求时间")
    @TableField("nginx_time")
    private Date nginxTime;

    @TableField("progress")
    private Integer progress;

    @TableField("type")
    private String type;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
